## couchapp 1.0.2+dfsg1

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
	touch $(BUILDDIR)/html/.nojekyll

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CouchApp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CouchApp.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CouchApp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CouchApp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## couchapp 0.7.5.dfsg

=== debian/changelog ===
couchapp (0.7.5.dfsg-1) unstable; urgency=low

  * New upstream release, works with new version of restkit
    (closes: #612879).
  * Remove restkit sources from upstream tarball.
  * Depend on python-restkit >= 3.0.4
  * New patches:
    - system-restkit.diff - use system restkit
    - no-compile-ssl.diff - do not try to compile ssl package. It is not
      needed and source is incomplete.
    - no-install-extra-files.diff - do not install documentation files
      as part of python package.
  * Use debhelper 8.
  * Add Vcs-* control fields.
  * Install extra documentation files: NOTICE, README.md, and THANKS.txt

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 13 Feb 2011 18:31:30 +0100

couchapp (0.7.2.dfsg-1) unstable; urgency=low

  * Initial release (closes: #603902).

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 18 Nov 2010 17:36:43 +0100

=== debian/control ===
Source: couchapp
Section: utils
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 8), python-support, python-setuptools
Standards-Version: 3.9.1
Homepage: http://couchapp.org/
Vcs-Git: git://git.debian.org/git/collab-maint/couchapp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/couchapp.git

Package: couchapp
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-restkit (>= 3.0.4)
Suggests: yui-compressor, desktopcouch
Description: standalone CouchDB application development made simple
 CouchApp is a set of helpers and a jQuery plugin that conspire to 
 get you up and running on CouchDB quickly and correctly. It brings 
 clarity and order to the freedom of CouchDB's document-based approach.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh  $@

override_dh_clean:
	# this dir sometimes contains modified files
	rm -rf Couchapp.egg-info
	dh_clean

.PHONY: override_dh_clean

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg$// \
	http://pypi.python.org/packages/source/C/Couchapp/Couchapp-(.*).tar.gz

## couchapp 1.0.1%2Bgit20140213%2Bdfsg1

=== debian/changelog ===
couchapp (1.0.1+git20140213+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove useless python-support build-dependency (Closes: #785992).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Sep 2015 18:40:23 +0200

couchapp (1.0.1+git20140213+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #735479).
  * Removed non-free bytes.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 13 Feb 2014 10:09:46 -0300

## couchapp 1.0.1+git20140213+dfsg1

=== debian/control ===
Source: couchapp
Section: python
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-coverage,
               python-mock,
               python-nose,
               python-nose-testconfig,
               python-restkit,
               python-setuptools,
               python-support,
               python-unittest2
Standards-Version: 3.9.5
Homepage: http://couchapp.org/

Package: couchapp
Architecture: all
Depends: libjs-mustache,
         python-argh,
         python-http-parser,
         python-jsmin,
         python-pathtools,
         python-restkit,
         python-socketpool,
         python-watchdog,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Standalone CouchDB Application Development Made Simple
 CouchApp is a set of helpers and a jQuery plugin that conspire to
 get you up and running on CouchDB quickly and correctly. It brings
 clarity and order to the freedom of CouchDB's document-based approach.

## couchapp 1.0.2+dfsg1

=== debian/changelog ===
couchapp (1.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Removed non-free bytes.
  * Add python-watchdog to build-dependencies
  * Bump standards to version 3.9.8. No changes needed.
  * Move to web section. (Closes: #832199).
  * Move packaging to git, add Vcs-* entries to control file.
  * Update copyright file.
  * Create gbp.conf.
  * Use pristine-tar for packaging.
  * Acknowledged NMU. (Closes: 785992).
  * Change homepage.
  * Add autopkgtests using the upstream test suite.
  * Remove debian/repack script, upstream code repack documented on
    README.surce.
  * Modify watch file to not to use debian/repack.
  * Remove python-restkit from dependencies, let dh_python2 fill that
    dependency.
  * Update upstream changelog.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 08 Sep 2016 16:10:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: couchapp
-Section: python
+Testsuite: autopkgtest
+Section: web
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all (>= 2.6.6-3~),
                python-coverage,
                python-mock,
@@ -10,10 +12,12 @@
                python-nose-testconfig,
                python-restkit,
                python-setuptools,
-               python-support,
-               python-unittest2
-Standards-Version: 3.9.5
-Homepage: http://couchapp.org/
+               python-unittest2,
+               python-watchdog
+Standards-Version: 3.9.8
+Homepage: https://github.com/couchapp/couchapp
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/couchapp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/couchapp.git
 
 Package: couchapp
 Architecture: all
@@ -22,9 +26,7 @@
          python-http-parser,
          python-jsmin,
          python-pathtools,
-         python-restkit,
          python-socketpool,
-         python-watchdog,
          python-yaml,
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	mv debian/couchapp/usr/lib/python2.7/dist-packages/tests debian/couchapp/usr/lib/python2.7/dist-packages/couchapp/
	rm -rf debian/couchapp/usr/couchapp
	rm ./debian/couchapp/usr/lib/python2.7/dist-packages/couchapp/templates/vendor/couchapp/_attachments/jquery.mustache.js
	dh_link usr/share/javascript/mustache/jquery.mustache.js usr/lib/python2.7/dist-packages/couchapp/templates/vendor/couchapp/_attachments/jquery.mustache.js

override_dh_installchangelogs:
	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
	else \
		dh_installchangelogs ; \
	fi

override_dh_clean:
	dh_clean
	rm -f couchapp.files

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -f tests/test_cli.py*
	nosetests
endif

=== debian/tests/control ===
Tests: testcli.py
Depends: @, couchdb, python-nose-testconfig, python-nose, python-unittest2
Restrictions: isolation-container

=== debian/watch ===
version=2
opts=dversionmangle=s/\+git.*\+dfsg1// \
http://pypi.python.org/packages/source/C/Couchapp/Couchapp-(.*).tar.gz
